# 随访预测
## Requirements
- `os`
- `argparse`
- `json`
- `numpy == 1.22.4`

## Overview
随访预测功能和其它深度学习模块并列，实现了对于数据集中同一病人的多个CT影像之间检测结果的分析，并且输出该病人的结节发展情况预测。输出结果如下所示：
```python
For Patient-{}：
结节可能向（变大/变小/不变）发展，约（变大/变小/保持）{(具体体积变化数值)};
结节分类结果可能为：（磨玻璃结节/实性结节/混合结节/钙化结节）;
结节良恶性分类结果可能为：(良性/恶性)。

```

## Uasge

1. 在执行配准功能之前需要确保已经产生了所有影像的检测结果，并且存在`.json`文件。
2. 执行配准功能：
```python
python ./followup_coding/followup_processing.py -- job_data_root /path/to/job_data_root
```

- `job_data_root`，该参数的含义与深度学习任务相同。
